Subject: More related to "Is Upstox a scam?"
From: Quora <[email-masked]>
To: [email-masked]
Date: Thu, 29 Apr 2021 08:27:15 +0000

Stories from your activity

-----

Question: Is Upstox a safe platform?

Answer from Satyaki Sanghvi

Upstox is a discount broker which means that all they do is provide a platform for one to invest in the stock market. They do not provide advising services at all in exchange 
Read More: https://www.quora.com/Is-Upstox-a-safe-platform?top_ans=183534672
-----
Question: Which is better, Stockal, Upstox, or Vested?

Answer from Anantha Maiya

According to my opinion, All the three are a waste.

It is better to look/probe for Other standard brokers even though they charge a little bit more brokerage.

Choosing broke
Read More: https://www.quora.com/Which-is-better-Stockal-Upstox-or-Vested?top_ans=253411633
-----
Question: I have sell my 40 stocks at a price of Rs 567.61/share from Upstox. It is showing Rs 18,163.48 in my upstox account, but it should be Rs 22,704.4 in my account. What is the problem here?

Answer from Dolagobinda Sahoo

Hey, not to worry about it check tomorrow morning it will reflect in your account fully. Actually brokers are settling the amount after a day after dec1 even in angel broking 
Read More: https://www.quora.com/I-have-sell-my-40-stocks-at-a-price-of-Rs-567-61-share-from-Upstox-It-is-showing-Rs-18-163-48-in-my-upstox-account-but-it-should-be-Rs-22-704-4-in-my-account-What-is-the-problem-here?top_ans=256168452
-----
Question: Is Upstox a reliable stockbroker?

Answer from Vishnu Kumar Sharma

A nightmare.

My friend bought a Nifty 50 put option for X amount and set limit to X+ amount.

X+ limit was not executed due to a bearish market.

After a loss of Y he wanted 
Read More: https://www.quora.com/Is-Upstox-a-reliable-stockbroker?top_ans=258444559
-----
Question: Should I close my Zerodha trading and Demat account for Upstox just because Upstox charges less annual maintenance charges per year?

Answer from Tanvi Sondhi

Whether you should close your account with Zerodha or not, depends on your experience so far with them.However, as you have mentioned about the AMC i am assuming you are bothe
Read More: https://www.quora.com/Should-I-close-my-Zerodha-trading-and-Demat-account-for-Upstox-just-because-Upstox-charges-less-annual-maintenance-charges-per-year?top_ans=211894919
-----
Question: Which one is best, Zerodha, 5paisa, Sherkhan, UP Stock, or Angel Broking?

Answer from Raghavendra Bhat

Zerodha and upstox r discount brokers…..less brokerage..20/ order…but no telephonic support or personal relationship manager…

Sharekhan;angel r full time brokers..have online
Read More: https://www.quora.com/Which-one-is-best-Zerodha-5paisa-Sherkhan-UP-Stock-or-Angel-Broking?top_ans=217966699
-----
Question: How can I earn money with Upstox?

Answer from Dont Know

Upstox is a broker which allows you to facilitate trades.

You can buy or sell shares of different companies based on your technical analysis

I have been trading in stock mar
Read More: https://www.quora.com/How-can-I-earn-money-with-Upstox?top_ans=241761442
-----
Question: Which is the best stock broker among Groww, Zerodha, and Upstox, and why?

Answer from Ansh Sharma

Let's assume zerodha is a highly renowned surgeon (for the sake of explanation), and you my dear, are a patient in dire need of surgery.

Prior to 2011(if my memory serves me 
Read More: https://www.quora.com/Which-is-the-best-stock-broker-among-Groww-Zerodha-and-Upstox-and-why?top_ans=226107447
-----
Question: Is Upstox a good platform for beginners?

Answer from Haneef Ansari

Upstox is a very good platform for beginners! The platform is very easy to use so it is easy to place trades, fund your account or even withdraw your funds. They also are one 
Read More: https://www.quora.com/Is-Upstox-a-good-platform-for-beginners?top_ans=218543162
-----
Question: What will be the benefit if I become a partner on upstox?

Answer from Montii Singh

Upstox is a relatively new discount stock broker in India. It is more like a “start-up” in discount broking space.

As far as reliability is concerned, well, the broker claims
Read More: https://www.quora.com/What-will-be-the-benefit-if-I-become-a-partner-on-upstox?top_ans=147264497
-----

-----
To control which emails we send you, visit: https://www.quora.com/qemail/track_click?aoid&aoty=14&aty=4&cp=0&ct=1619684834591386&et=130&id=2e927f94a5a84de6b81ce19fb8abf742&source&src=1&st=1619684834598779&stories=1_4h0VMghmjSa%7C1_F8PacyuhgL7%7C1_kfdb3Gt2kY%7C1_XmuSCqVlYfr%7C1_b0n1g5t4bni%7C1_M8DnzEh9Ati%7C1_In5KCZV79am%7C1_FEOIQEse4KT%7C1_zjesMnYEEJj%7C1_mtRkBZ7SzSZ&ty&ty_data&uid=oaI5nJBvtz4&v=0

To unsubscribe from this type of email, visit: https://www.quora.com/email_optout/qemail_unsubscribe?email_track_id=2e927f94a5a84de6b81ce19fb8abf742&t=1619684834759239&token=18acad4c076bd7aac40323b31361df0eb0f23f32b9e8c9f8931557693493be060dcbe1c64e7a1bbadba414edc3469c40675464dd291dd6c04b2f4a39a96a0068&type=130&uid=1229773278